---
name: 🐛 Guided bug report
about: A template to help you create a bug report to improve Pygame! Useful if this is your first time reporting an issue.
title: ''
labels: bug
assignees: ''


---


**Environment:**

You can get some of this info from the text that pops up in the console when you run a pygame program.

- **Operating system** (e.g. Windows, Linux(Debian), Linux(Ubuntu), Mac):
- **Python version** (e.g. 3.7.9, 3.8.5) :
- **SDL version** (e.g. SDL 2.0.12):
- **PyGame version** (e.g. 2.0.0.dev10, 1.9.6):
- **Relevant hardware** (e.g. if reporting a bug about a controller, tell us the brand & name of it):

**Current behavior:**

Describe how the bug manifests.

**Expected behavior:**

A clear and concise description of what you expected to happen.

**Screenshots**

If applicable, copy and paste screenshots to help explain your problem.

**Steps to reproduce:**

Please explain the steps required to duplicate the issue, especially if you are able to provide a sample application.
if the bug is caused by a specific file (image, font, sound, level, please upload it as an attachment

1.
2.
3.

**Test code**

If possible add a simple test program that shows the problem described in this report.
```
import pygame
pygame.init()
print("Hello, world")
```

**Stack trace/error output/other error logs**

```
paste other relevant logs or stack traces here, if applicable
```
